- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Window Focus Functions
Ecore_X - X11 Integration

Functions that give the focus to an X Window. More...

## Functions
void | ecore_x_window_focus (Ecore_X_Window win)
| Sets the focus to the window `win`. More...
void | ecore_x_window_focus_at_time (Ecore_X_Window win, Ecore_X_Time time)
| Sets the focus to the given window at a specific time. More...
Ecore_X_Window | ecore_x_window_focus_get (void)
| gets the window that has focus. More...

## Detailed Description

Functions that give the focus to an X Window.

## Function Documentation

void ecore_x_window_focus | ( | Ecore_X_Window | win | ) |

Sets the focus to the window `win`.

Parameters

  win | The window to focus.

References ecore_x_sync().

void ecore_x_window_focus_at_time | ( | Ecore_X_Window | win,
|  | Ecore_X_Time | t
| ) |  |

Sets the focus to the given window at a specific time.

Parameters

  win | The window to focus.
  t | When to set the focus to the window.

References ecore_x_sync().

Ecore_X_Window ecore_x_window_focus_get | ( | void |  | ) |

gets the window that has focus.

Returns
  The window that has focus.